man(1)

NUME
man - formatează și afișează paginile de manual
manpath - determină calea de căutare a utilizatorului pentru paginile de manual

SUMAR
man [-acdfFhkKtwW] [--path] [-m sistem] [-p șir] [-C fișier_configurare] [-M listă_căi] [-P paginator] [-S listă_secțiuni] [secțiune] nume ...

DESCRIERE
man formatează și afișează paginile de manual. Dacă specificați secțiune, man caută doar în acea secțiune a manualului. nume este în mod normal numele paginii de manual, care este de obicei numele unei comenzi, funcții, sau fișier. Totuși, dacă nume conține un slash (/) atunci man îl interpretează ca o specificare de fișier, astfel încât puteți executa man ./foo.5 sau chiar man /cd/foo/bar.1.gz.

Vedeți mai jos pentru o descriere a locurilor unde caută man fișierele cu paginile de manual.

OPȚIUNI

-C  fiișier_configurare
    Specifică fișierul de configurare care se va folosi; inplicit este /etc/man.config. (Vezi man.conf(5).)

-M  cale
    Specifică lista de directoare unde se caută paginile man. Separați directoarele cu două puncte (:). O listă goală este echivalent cu a nu specifica -M de loc. Vezi și CALEA DE CĂUTARE A PAGINILOR MAN.

-P  paginator
    Specifică ce paginator de va folosi. Această opțiune ignoră variabila de mediu MANPAGER , care în schimb ignoră variabila PAGER. Implicit, man folosește /bin/less-isr.

-S  listă_secțiuni
    Lista este un șir de secțiuni de manual care vor fi căutate, despărțite prin două puncte (:). Această opțiune ignoră variabila de mediu MANSECT.

-a  Implicit, executia man se va termina după afișarea primei pagini de manual pe care o găsește. Folosirea acestei opțiuni forțează man să afișeze toate paginila de manual care verifică nume, nu doar prima.

-c  Reformatează pagina man sursă, chiar dacă există o pagină cat actualizată. Acest lucru poate fi important dacă pagina cat a fost formatată pentru un ecran cu un număr diferit de coloane, sau dacă pagina preformatată este alterată.

-d  Nu afișează efectiv paginile man, ci tipărește multe informații de depanare.

-D  Afișează atât paginile man, cât și informații de depanare.

-f  Echivalent cu whatis.

-F sau --preformat
    Doar formatează - nu afișează.

-h  Tipărește un mesaj de ajutor și termină execuția.

-k  Echivalent cu apropos.

-K  Caută șirul de caractere specificat în *toate* paginile man. Avertisment: aceasta este probabil o operație foarte lentă! Ajută specificarea unei secțiuni. (Pentru a da o idee generală, pe mașina mea aceasta durează aproape un minut pentru 500 pagini man.)

-m  sistem
    Specifică un set alternativ de pagini man de căutat, bazat pe numele de sistem dat.

-p  șir
    Specifică secvența de preprocesoare ce vor fi rulate înainte de nroff sau troff. Nu toate instalările vor avea un set complet de preprocesoare. Unele din preprocesoare și literele folosite pentru a le desemna sunt: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Această opțiune duce la ignorarea variabilei de mediu MANROFFSEQ.

-t  Folosește /build/jenkins/v2016.12/machine/colibri-vf/build/tmp-angstrom-glibc/sysroots/x86_64-linux/usr/bin/groff -Tps -mandoc -c pentru a formata pegina man, trimițând rezultatul la ieșirea standard (stdout). Rezultatul comenzii /build/jenkins/v2016.12/machine/colibri-vf/build/tmp-angstrom-glibc/sysroots/x86_64-linux/usr/bin/groff -Tps -mandoc -c ar putea necesita să fie trecut printr-un filtru înante de a fi tipărit.

-w sau --path
    Nu afișează efectiv paginile man, ci tipărește locația(ile) fișierelor care ar fi formatate sau afișate. Dacă nici un argument nu este dat: afișează (la ieșirea standard (stdout)) lista directoarelor în care sunt căutate de man paginile man. Dacă manpath este o legătură la man, atunci "manpath" este echivalent cu "man --path".

-W  Ca -w, dar afișează numele de fișiere unul pe linie, fără informații adiționale. Această opțiune este utilă în comenzi shell ca man -aW man | xargs ls -l

PAGINILE CAT
Man va încerca să salveze paginile man formatate, pentru a reduce timpul de formatare data viitoare când aceste pagini sunt necesare. Tradițional, versiunile formatate ale paginilor din DIR/manX sunt salvate în DIR/catX, dar alte mapări de la directorul man la directorul cat pot fi specificate în /etc/man.config. Nici o pagină cat nu este salvată dacă directorul cat necesar nu există.

Este posibil să faceți man suid la un utilizator man. Atunci, dacă un director cat are proprietar man și modul 0755 (scriere doar de către man), și fișierele cat au proprietarul man și modul 0644 sau 0444 (scriere doar de către man, sau nici o permisiune de scriere), nici un utilizator normal nu poate modifica paginile cat sau să pună alte fișiere în directorul cat. Dacă man nu este făcut suid, atunci un director cat ar trebui să aibă modul 0777 dacă toți utilizatorii trebuie să poată lăsa pagini cat acolo.

Opțiunea -c forțează reformatarea unei pagini, chiar dacă există o pagină cat recentă.

CALEA DE CĂUTARE A PAGINILOR MAN
man folosește o metodă sofisticată pentru a găsi paginile de manual, bazată pe opțiuni de apelare și variabile de mediu, fișierul de configurare /etc/man.config și anumite convenții și euristici.

Înainte de toate, când argumentul nume al man conține un slash (/), man consideră că este un specificator de fișier și nu se efectuează nici o căutare.

Dar în cazul normal în care nume nu conține un slash, man caută în o mulțime de directoare un fișier care a putea fi o pagină de manual pentru subiectul numit.

Dacă specificați opțiunea -M listă_căi, listă_căi este o listă de directoare despărțite prin două puncte (:) în care caută man.

Dacă nu specificați -M dar setați variabila de mediu MANPATH, valoarea acestei variabile este lista de directoare în care caută man.

Dacă nu specificați explicit o listă de căi cu -M sau MANPATH, man își creează propria listă de căi bazată pe conținutul fișierului de configurare /etc/man.config. Declarațiile MANPATH din fișierul de configurare definesc anumite directoare care să fie incluse în calea de căutare.

Mai mult, declarațiile MANPATH_MAP se adaugă la calea de căutare depinzând de calea de căutare a comenzilor (de ex. variabila de mediu PATH). Pentru fiecare director care este în calea de căutare a comenzilor, o declarație MANPATH_MAP specifică un director care trebuie că fie adăugat la calea de căutare a fișierelor cu paginile de manual. man analizează variabila PATH și adaugă directoarele corespunzătoare la calea de căutare a fișierelor cu paginile de manual. Astfel, prin folosirea corectă a MANPATH_MAP, când executați comanda man xyz, obțineți o pagină de manual pentru programul care ar rula dacă ați executa comanda xyz.

În plus, pentru fiecare director în calea de căutare a comenzilor (o vom denumi "director de comenzi") pentru care nu aveți o declarație MANPATH_MAP, man caută în mod automat un director cu pagini de manual "învecinat", respectiv ca un subdirector al directorului de comenzi sau în directorul părinte al directorului de comenzi.

Puteți dezactiva căutarea "învecinată" automată incluzând o declarație NOAUTOPATH în /etc/man.config.

În fiecare director din calea de căutare descris mai sus, man caută un fișier numit topic.section, cu un sufix opțional la numărul secțiunii și posibil un sufix de compresie. Dacă nu găsește un astfel de fișier, caută în orice subdirectoare numite manN sau catN unde N este numărul secțiunii de manual. Dacă fișierul este într-ul subdirector catN, man consideră că este o pagină de manual formatată (pagină cat). Altfel, man consideră că este neformatată. În oricare caz, dacă numele fișierului are un sufix cunoscut de compresie (ca .gz), man consideră că este comprimat cu gzip.

Dacă doriție să vedeți unde (sau dacă) man ar găsi pagina de manual pentru un anumit subiect, folosiți opțiunea --path (-w).

VARIABILE DE MEDIU

MANPATH
    Dacă MANPATH este setată, man o folosește drept cale de căutare a fișierelor cu paginile de manual. Ignoră fișierul de configurare și calea de căutare automată, dar este ignorată de opțiunea de apelare -M. Vezi și CALEA DE CĂUTARE A PAGINILOR MAN.

MANPL
    Dacă MANPL este setată, valoarea ei este folosită ca lungimea paginii afișate. Altfel, întreaga pagină man va ocupa o singură pagină (lungă).

MANROFFSEQ
    Dacă MANROFFSEQ este setată, valoarea ei este folosită pentru determinarea setului de preprocesoare rulate înainte de a rula nroff sau troff. Implicit, paginile sunt trecute prin preprocesorul tbl înainte de nroff.

MANSECT
    Dacă MANSECT este setată, valoare ei este folosită pentru a determina în ce secțiune de manual să se caute.

MANWIDTH
    Dacă MANWIDTH este setată, valoare ei este folosită ca lățimea pe care paginile de manual ar trebui să fie afișate. Altfel paginile ar putea fi afișate peste lățimea ecranului.

MANPAGER
    Dacă MANPAGER este setată, valoarea ei este folosită ca numele programului ce va fi folosit pentru a afișa pagina man. Dacă nu, atunci PAGER este folosită. Dacă nici aceasta nu are o valoare, /bin/less -isr este folosit.

LANG
    Dacă LANG este setată, valoarea ei definește numele subdirectorului unde man caută prima dată paginile man. Astfel, comanda `LANG=dk man 1 foo' va determina man să caute pagina man foo în .../dk/man1/foo.1 și dacă nu poate găsi un astfel de fișier, în .../man1/foo.1, unde ... este un director în calea de căutare.

NLSPATH, LC_MESSAGES, LANG
    Variabilele de mediu NLSPATH și LC_MESSAGES (sau LANG când ultima nu există) joacă un rol în localizarea catalogului de mesaje. (Dar mesajele în engleză sunt incluse la compilare și pentru engleză nu este necesar nici un catalog.) Notați că programe apelate de man ca col(1) folosesc și ele de ex. LC_CTYPE.

PATH
    PATH ajută la determinarea căii de căutare a fișierelor cu paginile de manual. Vezi și CALEA DE CĂUTARE A PAGINILOR MAN.

SYSTEM
    SYSTEM este folosită pentru a obține numele implicit al sistemului alternativ (pentru a fi utilizat cu opțiunea -m).

VEZI ȘI
apropos(1), whatis(1), less(1), groff(1), man.conf(5).

ERORI
Opțiunea -t funcționează doar dacă un program gen troff este instalat.
Dacă vedeți \255 sau <AD> clipind în loc de liniuțe, setați `LESSCHARSET=latin1' în mediu.

SFATURI
Dacă adăugați linia

  (global-set-key [(f1)] (lambda () (interactive) (manual-entry (current-word))))

în fișierul dumneavoastră .emacs, apăsând F1 veți obține pagina man pentru apelul de librărie la poziția curentă a cursorului.

Pentru a obține o versiune doar text a paginii man, fără backspace și liniuțe de subliniere (underscore), încercați

  # man foo | col -b > foo.mantxt